import 'package:flutter_test/flutter_test.dart';
import 'package:logger/logger.dart';
import 'package:rasadyar_core/core.dart';

void main() {
  setUp(() async {
    await setupAllCoreProvider();
  });

  group('di', () {
    test('is ready', () {
      expect(diCore.isRegistered<Logger>(), isTrue);
      expect(diCore.isRegistered<HiveLocalStorage>(), isTrue);
      expect(diCore.get<Logger>(), isA<Logger>());
      expect(diCore.get<HiveLocalStorage>(), isA<HiveLocalStorage>());
    });
  });
}
